#
# spec file for package gtktalog (Version 0.99.11)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile deb eject esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel imlib imlib-devel libgpp libjpeg libpng libtiff libungif libxml libxml-devel libz orbit orbit-devel smpeg smpeg-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db deb devs diffutils e2fsprogs eject esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libgpp libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow smpeg smpeg-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gtktalog
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Applications
  
Autoreqprov:  on
Version:      0.99.11
Release:      81
Summary:      The Gnome disk catalog
Source:       gtktalog-%{version}.tar.bz2
Patch:        gtktalog-%{version}-config.patch
URL: 	      http://gtktalog.sourceforge.net
BuildRoot: /var/tmp/%{name}-build

%description
GTKtalog is a disk catalog, it means you can use it to create a really small
database with images of files and folders of your CD-rom. So you can browse all
your CD's very quickly, see contents of certain files (tar.gz, rpm files ...).
You can give to each folder and file a category and a description. You can
search for files in your database with filename, category, description or file
information parameter, and find in which CD the file you are looking for is.

Authors:
--------
    Mathieu VILLEGAS <gtktalog@caramail.com>
    Yves Mettier <ymettier@libertysurf.fr>
    Benoit Dien <bdien@altern.org>
    David Erman <di97der@student.hk-r.se>
    Tamas Gervai <crown1@operamail.com>

SuSE series: gnm

%prep
%setup 
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{prefix}/bin/gtktalog
%{prefix}/lib/gtktalog
%{prefix}/man/man*/*
%{prefix}/share/gnome/apps/Applications/gtktalog.desktop
%{prefix}/share/gtktalog
%{prefix}/share/gnome/help/gtktalog
%{prefix}/share/pixmaps/gtktalog.png

%changelog -n gtktalog
* Fri Aug 24 2001 - nadvornik@suse.cz
- upgate to 0.99.11: bugfix release
* Thu Aug 16 2001 - ro@suse.de
- changed neededforbuild <smpeg> to <smpeg smpeg-devel>
* Mon Aug 13 2001 - nadvornik@suse.cz
- update to 0.99.9
- fixed neededforbuild
* Tue Aug 07 2001 - ro@suse.de
- changed path to /media/cdrom
* Fri Aug 03 2001 - nadvornik@suse.cz
- update to 0.99.8
* Wed Jun 20 2001 - nadvornik@suse.cz
- new package
